Alien::Build::Plugin::Probe::CBuilder(3)

NAME
Alien::Build::Plugin::Probe::CBuilder - Probe for system libraries by guessing with ExtUtils::CBuilder

VERSION
version 2.84

SYNOPSIS
 use alienfile;
 plugin 'Probe::CBuilder' => (
   cflags => '-I/opt/libfoo/include',
   libs   => '-L/opt/libfoo/lib -lfoo',
 );

alternately:

 ues alienfile;
 plugin 'Probe::CBuilder' => (
   aliens => [ 'Alien::libfoo', 'Alien::libbar' ],
 );

DESCRIPTION
This plugin probes for compiler and linker flags using ExtUtils::CBuilder. This is a useful alternative to Alien::Build::Plugin::PkgConfig::Negotiate for packages that do not provide a pkg-config ".pc" file, or for when those ".pc" files may not be available. (For example, on FreeBSD, "libarchive" is a core part of the operating system, but doesn't include a ".pc" file which is usually provided when you install the "libarchive" package on Linux).

PROPERTIES

  options
Any extra options that you want to have passed into the constructor to ExtUtils::CBuilder.

  cflags
The compiler flags.

  libs
The linker flags

  program
The program to use in the test.

  version
This is a regular expression to parse the version out of the output from the test program.

  atleast_version
The minimum required version as provided by the system.

  aliens
List of aliens to query fro compiler and linker flags.

  lang
The programming language to use. One of either "C" or "C++".

SEE ALSO
Alien::Build, alienfile, Alien::Build::MM, Alien

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Diab Jerius (DJERIUS)

Roy Storey (KIWIROY)

Ilya Pavlov

David Mertens (run4flat)

Mark Nunberg (mordy, mnunberg)

Christian Walde (Mithaldu)

Brian Wightman (MidLifeXis)

Zaki Mughal (zmughal)

mohawk (mohawk2, ETJ)

Vikas N Kumar (vikasnkumar)

Flavio Poletti (polettix)

Salvador Fandiño (salva)

Gianni Ceccarelli (dakkar)

Pavel Shaydo (zwon, trinitum)

Kang-min Liu (劉康民, gugod)

Nicholas Shipp (nshp)

Juan Julián Merelo Guervós (JJ)

Joel Berger (JBERGER)

Petr Písař (ppisar)

Lance Wicks (LANCEW)

Ahmad Fatoum (a3f, ATHREEF)

José Joaquín Atria (JJATRIA)

Duke Leto (LETO)

Shoichi Kaji (SKAJI)

Shawn Laffan (SLAFFAN)

Paul Evans (leonerd, PEVANS)

Håkon Hægland (hakonhagland, HAKONH)

nick nauwelaerts (INPHOBIA)

Florian Weimer

COPYRIGHT AND LICENSE
This software is copyright (c) 2011-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.